## Class attribute_

zeep::xml::doctype::attribute_

## Synopsis

    // In header: <zeep/xml/doctype.hpp>

    class attribute_ {
    public:
      // construct/copy/destruct
      (, );
      (, ,
                 );

      // public member functions
       () ;
       (, ) ;
       (, );
       () ;
       () ;
       () ;
       () ;
       ();
       () ;

      // private member functions
       () ;
       () ;
       () ;
       () ;
       (, ) ;
    };

## Description

### `attribute_` public construct/copy/destruct

1.     ( name,  type);

2.     ( name,  type,
                   enums);

### `attribute_` public member functions

1.      () ;

2.      ( value,  entities) ;

3.      ( def,  value);

4.      () ;

5.      () ;

6.      () ;

7.      () ;

8.      ( external);

9.      () ;

### `attribute_` private member functions

1.      ( s) ;

2.      ( s) ;

3.      ( s) ;

4.      ( s) ;

5.      ( s,  l) ;